<?php
namespace Claromentis\Setup;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_b742a00ae87756f850c" . "77e0daf4e7a3a" => base64_decode("C" . "g" . "=" . "="), "_0f10830288c813d" . "e18599c12f76694b" . "3" => base64_decode("RGVidWc" . "="), "_74923e1c0049a84fd020d96f8ae06" . "45d" => base64_decode("SW5mbw" . "=="), "_70809333a0" . "f254acf7a1a" . "d0c7dadd46b" => base64_decode("Oi" . "A="), "_a08b13e5439" . "bf1e1258f60e" . "9380f41ae" => base64_decode("RGV0" . "YWls"), "_e2670a71b0605345f16" . "f2b7a8edd4a21" => base64_decode("dWNm" . "aXJz" . "dA=="), "_bd71c3b5c201fc11db82ed14ce" . "424de5" => base64_decode("aW5fYX" . "JyYXk="), "_24f5487bd" . "60ba6b30d6" . "285c791a32" . "460" => base64_decode("c3RyX3BhZA" . "=="));
use Psr\Log\LoggerInterface;
use Psr\Log\LoggerTrait;
use Psr\Log\LogLevel;






class Logger implements LoggerInterface
{
    use LoggerTrait;
    protected $levels = [];
    public function __construct()
    {
        $this->setLogLevel(LogLevel::NOTICE);
    }
    
    
    
    
    
    
    
    
    
    
    public function log($level, $message, array $context = array())
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_bd71c3b5c201fc" . "11db82ed14ce424" . "de5"]($level, $this->levels)) {
            return;
        }
        switch ($level) {
            case \Psr\Log\LogLevel::EMERGENCY:
            case \Psr\Log\LogLevel::ALERT:
            case \Psr\Log\LogLevel::CRITICAL:
            case \Psr\Log\LogLevel::ERROR:
            case \Psr\Log\LogLevel::WARNING:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e2670a71" . "b0605345f" . "16f2b7a8e" . "dd4a21"]($level);
                break;
            case \Psr\Log\LogLevel::NOTICE:
            default:
                $prefix = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_74923e1c00" . "49a84fd020d" . "96f8ae0645d"];
                break;
            case \Psr\Log\LogLevel::INFO:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_a08b13e5439bf1e1258f" . "60e9380f41ae"];
                break;
            case \Psr\Log\LogLevel::DEBUG:
                $prefix = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0f10830288c81" . "3de18599c12f76" . "694b3"];
                break;
        }
        echo $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_24f5487" . "bd60ba6b" . "30d6285c" . "791a3246" . "0"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e2670a71b060534" . "5f16f2b7a8edd4a2" . "1"]($prefix), 6) . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_70809333a0f254acf7a1ad0c7" . "dadd46b"] . $message . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_b742a00ae87756f850c77e0daf4e7" . "a3a"];
    }
    public function setLogLevel($_4eff911a7d895b5233a9a2ffeefd84f9 = LogLevel::NOTICE)
    {
        $this->levels = [];
        switch ($_4eff911a7d895b5233a9a2ffeefd84f9) {
            case \Psr\Log\LogLevel::DEBUG:
                $this->levels[] = \Psr\Log\LogLevel::DEBUG;
            case \Psr\Log\LogLevel::INFO:
                $this->levels[] = \Psr\Log\LogLevel::INFO;
            case \Psr\Log\LogLevel::NOTICE:
                $this->levels[] = \Psr\Log\LogLevel::NOTICE;
            case \Psr\Log\LogLevel::WARNING:
                $this->levels[] = \Psr\Log\LogLevel::WARNING;
            case \Psr\Log\LogLevel::ERROR:
                $this->levels[] = \Psr\Log\LogLevel::ERROR;
        }
        $this->levels[] = \Psr\Log\LogLevel::CRITICAL;
        $this->levels[] = \Psr\Log\LogLevel::ALERT;
        $this->levels[] = \Psr\Log\LogLevel::EMERGENCY;
    }
}